package net.sf.itcb.common.client.exceptions;

import net.sf.itcb.common.business.exceptions.TechnicalItcbException;

/**
 * Technical client problem uses this exception {@link net.sf.itcb.common.business.exceptions.CommonItcbException}
 * 
 * @author Pierre Le Roux
 */
public class ClientItcbException extends TechnicalItcbException {

	private static final long serialVersionUID = 1L;

    public ClientItcbException(ClientItcbExceptionMappingErrors ex, String localizedMessage) {
    	super(ex, localizedMessage);
    }
    
    public ClientItcbException(ClientItcbExceptionMappingErrors ex, String localizedMessage, Throwable e) {
    	super(ex, localizedMessage, e);
    }

}